| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper > Struct Template Reference

`#include <Gaudi/Parsers/Grammars.h>`

Inheritance diagram for Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >:
[legend]

## Public Types
typedef VectorT | ResultT

## Public Member Functions
| VectorGrammar ()

## Public Attributes
Grammar_< Iterator, typename VectorT::value_type, Skipper >::Grammar | elementGrammar
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > | vec
qi::rule< Iterator, ResultT(), Skipper > | list

## Detailed Description

### template<typename Iterator, typename VectorT, typename Skipper>
struct Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >

Definition at line 253 of file Grammars.h.

## Member Typedef Documentation

## ◆ ResultT

template<typename Iterator, typename VectorT, typename Skipper>

typedef VectorT Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::ResultT

Definition at line 255 of file Grammars.h.

## Constructor & Destructor Documentation

## ◆ VectorGrammar()

template<typename Iterator, typename VectorT, typename Skipper>

Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::VectorGrammar | ( |  | ) |
| inline

Definition at line 257 of file Grammars.h.

257 : VectorGrammar::base_type( vec ) {
258 begin =
259 enc::char_( '[' )[qi::_val = ']'] | enc::char_( '{' )[qi::_val = '}'] | enc::char_( '(' )[qi::_val = ')'];
260 end = enc::char_( qi::_r1 );
261 list = elementGrammar % ',';
262 vec = begin[qi::_a = qi::_1] >> -list[qi::_val = qi::_1] >> end( qi::_a );
263 }
Gaudi::Parsers::VectorGrammar::vec
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > vec
Definition: Grammars.h:269
Gaudi::Parsers::VectorGrammar::elementGrammar
Grammar_< Iterator, typename VectorT::value_type, Skipper >::Grammar elementGrammar
Definition: Grammars.h:265
Gaudi::Parsers::VectorGrammar::list
qi::rule< Iterator, ResultT(), Skipper > list
Definition: Grammars.h:270
Gaudi::Parsers::VectorGrammar::end
qi::rule< Iterator, void(char)> end
Definition: Grammars.h:267
Gaudi::Parsers::VectorGrammar::begin
qi::rule< Iterator, char()> begin
Definition: Grammars.h:266

## Member Data Documentation

## ◆ begin

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, char()> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::begin

Definition at line 266 of file Grammars.h.

## ◆ elementGrammar

template<typename Iterator, typename VectorT, typename Skipper>

Grammar_<Iterator, typename VectorT::value_type, Skipper>::Grammar Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::elementGrammar

Definition at line 265 of file Grammars.h.

## ◆ end

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, void( char )> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::end

Definition at line 267 of file Grammars.h.

## ◆ list

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::list

Definition at line 270 of file Grammars.h.

## ◆ vec

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, ResultT(), qi::locals<char>, Skipper> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::vec

Definition at line 269 of file Grammars.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/Gaudi/Parsers/Grammars.h